<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for UpdateAudioCodecPreferenceListReq StructType
 * @subpackage Structs
 */
class UpdateAudioCodecPreferenceListReq extends NameAndGUIDRequest
{
    /**
     * The newName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * @var string
     */
    public $newName;
    /**
     * The description
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * @var string
     */
    public $description;
    /**
     * The codecsInList
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\CodecsInList
     */
    public $codecsInList;
    /**
     * Constructor method for UpdateAudioCodecPreferenceListReq
     * @uses UpdateAudioCodecPreferenceListReq::setNewName()
     * @uses UpdateAudioCodecPreferenceListReq::setDescription()
     * @uses UpdateAudioCodecPreferenceListReq::setCodecsInList()
     * @param string $newName
     * @param string $description
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\CodecsInList $codecsInList
     */
    public function __construct($newName = null, $description = null, \\Losc\CucmBundle\Model\Webservice\StructType\CodecsInList $codecsInList = null)
    {
        $this
            ->setNewName($newName)
            ->setDescription($description)
            ->setCodecsInList($codecsInList);
    }
    /**
     * Get newName value
     * @return string|null
     */
    public function getNewName()
    {
        return $this->newName;
    }
    /**
     * Set newName value
     * @param string $newName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\UpdateAudioCodecPreferenceListReq
     */
    public function setNewName($newName = null)
    {
        $this->newName = $newName;
        return $this;
    }
    /**
     * Get description value
     * @return string|null
     */
    public function getDescription()
    {
        return $this->description;
    }
    /**
     * Set description value
     * @param string $description
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\UpdateAudioCodecPreferenceListReq
     */
    public function setDescription($description = null)
    {
        $this->description = $description;
        return $this;
    }
    /**
     * Get codecsInList value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\CodecsInList|null
     */
    public function getCodecsInList()
    {
        return $this->codecsInList;
    }
    /**
     * Set codecsInList value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\CodecsInList $codecsInList
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\UpdateAudioCodecPreferenceListReq
     */
    public function setCodecsInList(\\Losc\CucmBundle\Model\Webservice\StructType\CodecsInList $codecsInList = null)
    {
        $this->codecsInList = $codecsInList;
        return $this;
    }
}
